// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_platform_msgs:msg/AdaptiveCruiseControlCommand.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__ADAPTIVE_CRUISE_CONTROL_COMMAND__STRUCT_H_
#define AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__ADAPTIVE_CRUISE_CONTROL_COMMAND__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/AdaptiveCruiseControlCommand in the package automotive_platform_msgs.
/**
  * Adaptive Cruise Control Command Message
  * Contains commands to engage/disengage ACC or adjust the set points
 */
typedef struct automotive_platform_msgs__msg__AdaptiveCruiseControlCommand
{
  std_msgs__msg__Header header;
  /// Increments each time a command is sent
  /// An acknowledge message should be published with this value
  uint8_t msg_counter;
  /// Speed setpoint (m/sec)
  float set_speed;
  /// Engage ACC at the above speed set point
  uint16_t set;
  /// Resume ACC at previous speed set point
  uint16_t resume;
  /// Disengage ACC
  uint16_t cancel;
  /// Increase speed set point
  uint16_t speed_up;
  /// Decrease speed set point
  uint16_t slow_down;
  /// Increase distance set point
  uint16_t further;
  /// Decrease distance set point
  uint16_t closer;
} automotive_platform_msgs__msg__AdaptiveCruiseControlCommand;

// Struct for a sequence of automotive_platform_msgs__msg__AdaptiveCruiseControlCommand.
typedef struct automotive_platform_msgs__msg__AdaptiveCruiseControlCommand__Sequence
{
  automotive_platform_msgs__msg__AdaptiveCruiseControlCommand * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_platform_msgs__msg__AdaptiveCruiseControlCommand__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_PLATFORM_MSGS__MSG__DETAIL__ADAPTIVE_CRUISE_CONTROL_COMMAND__STRUCT_H_
